Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-66380

Configure UI broken after upgrade to 2.289.3

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Hi,

       

      I've upgraded Jenkins from 2,190 to 2,289.3. After the upgrade, the configuration page is breaking shortly after the first opening. Could you help me?

       

      Please find the details in the attached

       

        Attachments

        1. after.png
          after.png
          157 kB
        2. before.png
          before.png
          152 kB
        3. inspect-detail1.png
          inspect-detail1.png
          213 kB
        4. inspect-detail2.png
          inspect-detail2.png
          146 kB
        5. inspect-detail3.png
          inspect-detail3.png
          92 kB
        6. inspect-detail4.png
          inspect-detail4.png
          80 kB
        7. pyenv-version.png
          pyenv-version.png
          12 kB

          Issue Links

            Activity

            Hide
            markewaite Mark Waite added a comment -

            Duplicate of JENKINS-66270. The pyenv plugin requires the Jenkins ruby runtime. The Jenkins ruby runtime does not work with Java 11. The pyenv plugin was last released 7 years ago. It is unmaintained and will never be updated to support the configuration user interface modernization that was done in Jenkins 2.277.1.

            Remove the ruby runtime plugin and all plugins that depend on it.

            Remove all deprecated plugins (like checkstyle, dry, etc.).

            Remove all plugins with security warnings (like tfs, etc.).

            Update all plugins to their latest releases.

            For more information, refer to the Jenkins 2.277.1 upgrade guide, the Jenkins 2.277.1 upgrade webinar, and an additional webinar with Darin Pope.

            If those steps are not sufficient to resolve the issue, please see the diagnosis instructions.

            Show
            markewaite Mark Waite added a comment - Duplicate of JENKINS-66270 . The pyenv plugin requires the Jenkins ruby runtime. The Jenkins ruby runtime does not work with Java 11. The pyenv plugin was last released 7 years ago. It is unmaintained and will never be updated to support the configuration user interface modernization that was done in Jenkins 2.277.1. Remove the ruby runtime plugin and all plugins that depend on it. Remove all deprecated plugins (like checkstyle, dry, etc.). Remove all plugins with security warnings (like tfs, etc.). Update all plugins to their latest releases. For more information, refer to the Jenkins 2.277.1 upgrade guide , the Jenkins 2.277.1 upgrade webinar , and an additional webinar with Darin Pope . If those steps are not sufficient to resolve the issue, please see the diagnosis instructions .
            Hide
            markewaite Mark Waite added a comment -

            Won't fix the issue in the pyenv plugin.

            Show
            markewaite Mark Waite added a comment - Won't fix the issue in the pyenv plugin.
            Hide
            alionuraktepe ali onur aktepe added a comment - - edited

            I've deleted ruby runtime & pyenv plugins. Configuration page works properly. Thanks for advice 

            Show
            alionuraktepe ali onur aktepe added a comment - - edited I've deleted ruby runtime & pyenv plugins. Configuration page works properly. Thanks for advice 

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              alionuraktepe ali onur aktepe
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: